Loading...
Searching...
No Matches
apr_optional_hooks.h File Reference

Apache optional hook functions. More...

`#include "apr_tables.h"`
Include dependency graph for apr_optional_hooks.h:

Go to the source code of this file.

## Macros

#define | APR_OPTIONAL_HOOK(ns, name, pfn, aszPre, aszSucc, nOrder)
#define | APR_IMPLEMENT_OPTIONAL_HOOK_RUN_ALL(ns, link, ret, name, args_decl, args_use, ok, decline)

## Functions

void | apr_optional_hook_add (const char *szName, void(*pfn)(void), const char *const *aszPre, const char *const *aszSucc, int nOrder)
apr_array_header_t * | apr_optional_hook_get (const char *szName)

## Detailed Description

Apache optional hook functions.